Subject: Re: [RFC PATCH 1/2] Kconfig: Introduce "uses" keyword

From: Jani Nikula <[email-masked]>
Date: Fri, 17 Apr 2020 17:01:18 +0300

On Fri, 17 Apr 2020, Jason Gunthorpe <[email-masked]> wrote:
> On Fri, Apr 17, 2020 at 09:23:59AM +0300, Jani Nikula wrote:
>
>> Which means that would have to split up to two. Not ideal, but
>> doable.
>
> Why is this not ideal?
>
> I think the one per line is easier to maintain (eg for merge
> conflicts) and easier to read than a giant && expression.
>
> I would not complicate things further by extending the boolean
> language..

Fair enough. I only found one instance where the patch at hand does not
cut it:

drivers/hwmon/Kconfig:  depends on !OF || IIO=n || IIO

That can of course be left as it is.

As to the bikeshedding topic, I think I'm now leaning towards Andrzej's
suggestion:

	optionally depends on FOO

in [1]. But I reserve my right to change my mind. ;)

BR,
Jani.

[1] http://lore.kernel.org/r/[email-masked]

-- 
Jani Nikula, Intel Open Source Graphics Center